
%global gem_name ruby-ldap

# Package should be named rubygem-ruby-ldap
# Fix at a later stage.
Name:           %{gem_name}
Version:        0.9.16
Release:        1%{?dist}
Summary:        Ruby LDAP libraries
Group:          Development/Languages
License:        BSD 
URL:            http://ruby-ldap.sourceforge.net/
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openldap-devel 
BuildRequires: openssl-devel 
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel 

%if 0%{?fc20} || 0%{?el7}
Requires: ruby(release)
Requires: ruby(rubygems)
%endif

# Historical should be removed.
Provides:       ruby(ldap) = %{version}-%{release}

%if 0%{?fc20} || 0%{?el7}
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
Ruby/LDAP is an extension library for Ruby. It provides the interface to
some LDAP libraries (e.g. OpenLDAP, UMich LDAP, Netscape SDK,
ActiveDirectory). The common API for application development
is described in RFC1823 and is supported by Ruby/LDAP.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/lib
# TODO: move the extensions
mv %{buildroot}%{gem_instdir}/lib/ldap.so %{buildroot}%{gem_extdir_mri}/lib/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/extconf.rb/

%check
pushd .%{gem_instdir}

popd


%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%doc %{gem_instdir}/COPYING

%exclude %{gem_instdir}/.RUBYARCHDIR.time
%exclude %{gem_instdir}/.RUBYLIBDIR.-.ldap.time

%exclude %{gem_instdir}/clientauth.c
%exclude %{gem_instdir}/clientauth.o
%exclude %{gem_instdir}/conn.c
%exclude %{gem_instdir}/conn.o
%exclude %{gem_instdir}/entry.c
%exclude %{gem_instdir}/entry.o
%exclude %{gem_instdir}/extconf.rb
%exclude %{gem_instdir}/ldap.c
%exclude %{gem_instdir}/ldap.o
%exclude %{gem_instdir}/ldap.so
%exclude %{gem_instdir}/misc.c
%exclude %{gem_instdir}/misc.o
%exclude %{gem_instdir}/mkmf.log
%exclude %{gem_instdir}/mod.c
%exclude %{gem_instdir}/mod.o
%exclude %{gem_instdir}/rbldap.h
%exclude %{gem_instdir}/saslconn.c
%exclude %{gem_instdir}/saslconn.o
%exclude %{gem_instdir}/sslconn.c
%exclude %{gem_instdir}/sslconn.o


%files doc
%doc %{gem_docdir}
#%%doc TODO README ChangeLog FAQ
%doc %{gem_instdir}/test
%doc %{gem_instdir}/win
%{gem_instdir}/ChangeLog
%{gem_instdir}/FAQ
%{gem_instdir}/Makefile
%{gem_instdir}/NOTES
%{gem_instdir}/README
%{gem_instdir}/TODO



%changelog
* Thu Sep 4 2014 Steve Traylen <steve.traylen@cern.ch> - 0.9.16-1
- New updstream 0.9.16, upstream moved to source and rubygems.org
- Update to ruby package guidelines.
- Fix for EPEL7.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.9.10-16
- F-19: rebuild for ruby 2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.10-13
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.9.10-1
- new upstream version
- project URL and Source has changed

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.7-10
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.9.7-8
- Fix FTBFS: Added ruby-ldap-0.9.7-openldap.patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.7-6
- rebuild with new openssl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.7-5
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-4
- Bump for rebuild because of openldap bump

* Mon Oct 29 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-3
- More modifications from bug 346241

* Sun Oct 28 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-2
- Package modifications from bug 346241

* Mon Oct 22 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-1
- Initial Package for Fedora 
